Retrieve Effective Date Limitations
Returns the limits on when a specific amendment of an EOR contract can take effect. Use it to check the allowable timing for that one amendment; use GET /eor/contracts/{contract_id}/amendments/validation/settings, which returns the rules across all amendment data points.
Token scopes: contracts:read
Authentication
AuthorizationBearer
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
contract_id
The unique identifier of the EOR worker contract
amendment_id
A unique identifier for the employee contract amendment
Response
Returns the effective date limits for the amendment.
data
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error